Affiliate order lines, one per order and SKU, newest first
GET
/api/public/v1/tik_tok_shop/affiliate/order_linesConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopAffiliateOrderLines
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/affiliate/order_lines?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string | required |
| end_date | query | string | required |
| creator_username | query | string | |
| target_collaboration_id | query | string | |
| refunds | query | string | One of includeonlyexclude Default include |
| limit | query | integer | Default 100 |
| cursor | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| counts | object, nullable | |
| counts.fullyReturned | number, nullable | |
| counts.ineligible | number, nullable | |
| counts.lines | number, nullable | |
| counts.refundLines | number, nullable | |
| countsStatus | string, nullable | |
| lines | array of object, nullable | |
| lines[].[].actualPaidCommission | number, nullable | |
| lines[].[].campaignId | , nullable | |
| lines[].[].cofundedCreatorBonus | object, nullable | |
| lines[].[].cofundedCreatorBonus.actual | , nullable | |
| lines[].[].cofundedCreatorBonus.estimated | , nullable | |
| lines[].[].commissionBase | object, nullable | |
| lines[].[].commissionBase.actual | number, nullable | |
| lines[].[].commissionBase.estimated | number, nullable | |
| lines[].[].commissionDelta | number, nullable | |
| lines[].[].commissionModel | , nullable | |
| lines[].[].commissionRate | number, nullable | |
| lines[].[].commissionTierSetting | , nullable | |
| lines[].[].content | object, nullable | |
| lines[].[].content.format | string, nullable | |
| lines[].[].content.postedAt | string, nullable | |
| lines[].[].content.url | string, nullable | |
| lines[].[].content.viewCount | number, nullable | |
| lines[].[].contentId | string, nullable | |
| lines[].[].contentType | string, nullable | |
| lines[].[].creatorUsername | string, nullable | |
| lines[].[].currency | string, nullable | |
| lines[].[].deliveryTime | string, nullable | |
| lines[].[].estimatedPaidCommission | number, nullable | |
| lines[].[].fullyReturn | boolean, nullable | |
| lines[].[].gmvGross | number, nullable | |
| lines[].[].openCollaborationId | , nullable | |
| lines[].[].orderCreateTime | string, nullable | |
| lines[].[].orderId | string, nullable | |
| lines[].[].paidPartnerCommission | object, nullable | |
| lines[].[].paidPartnerCommission.actual | , nullable | |
| lines[].[].paidPartnerCommission.estimated | , nullable | |
| lines[].[].paidShopAdsCommission | object, nullable | |
| lines[].[].paidShopAdsCommission.actual | , nullable | |
| lines[].[].paidShopAdsCommission.estimated | , nullable | |
| lines[].[].partnerCommissionRate | , nullable | |
| lines[].[].priceAmount | number, nullable | |
| lines[].[].productId | string, nullable | |
| lines[].[].productTitle | string, nullable | |
| lines[].[].quantity | number, nullable | |
| lines[].[].refund | boolean, nullable | |
| lines[].[].settlementFinal | boolean, nullable | |
| lines[].[].settlementStatus | string, nullable | |
| lines[].[].shopAdsCommissionRate | , nullable | |
| lines[].[].skuId | string, nullable | |
| lines[].[].targetCollaborationId | string, nullable | |
| nextCursor | string, nullable | |
| settlementNote | string, nullable | |
| sweptThrough | string, nullable | |
| window | object, nullable | |
| window.endDate | string, nullable | |
| window.startDate | string, nullable |
Example
{
"counts": {
"fullyReturned": 125.5,
"ineligible": 125.5,
"lines": 125.5,
"refundLines": 125.5
},
"countsStatus": "string",
"lines": [
{
"actualPaidCommission": 125.5,
"campaignId": "string",
"cofundedCreatorBonus": {
"actual": "string",
"estimated": "string"
},
"commissionBase": {
"actual": 125.5,
"estimated": 125.5
},
"commissionDelta": 125.5,
"commissionModel": "string",
"commissionRate": 0.15,
"commissionTierSetting": "string",
"content": {
"format": "string",
"postedAt": "string",
"url": "https://example.com/p/1",
"viewCount": 125.5
},
"contentId": "string",
"contentType": "string",
"creatorUsername": "Example name",
"currency": "usd",
"deliveryTime": "string",
"estimatedPaidCommission": 125.5,
"fullyReturn": true,
"gmvGross": 125.5,
"openCollaborationId": "string",
"orderCreateTime": "string",
"orderId": "string",
"paidPartnerCommission": {
"actual": "string",
"estimated": "string"
},
"paidShopAdsCommission": {
"actual": "string",
"estimated": "string"
},
"partnerCommissionRate": "string",
"priceAmount": 125.5,
"productId": "string",
"productTitle": "string",
"quantity": 125.5,
"refund": true,
"settlementFinal": true,
"settlementStatus": "string",
"shopAdsCommissionRate": "string",
"skuId": "string",
"targetCollaborationId": "string"
}
],
"nextCursor": "string",
"settlementNote": "string",
"sweptThrough": "string",
"window": {
"endDate": "string",
"startDate": "string"
}
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.